<?php

namespace BitGoblin\Colossus\Controllers;

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Slim\Routing\RouteContext;
use BitGoblin\Colossus\Models\Benchmark;

class ApiController extends Controller {

  public function getBenchmark(Request $request, Response $response, array $args): Response {
    $benchmark = Benchmark::where('id', $args['benchmark_id'])->first();

    $payload = json_encode($benchmark);

    $response->getBody()->write($payload);
    return $response
      ->withHeader('Content-Type', 'application/json');
  }

  public function getBenchmarkTests(Request $request, Response $response, array $args): Response {
    $benchmark = Benchmark::where('id', $args['benchmark_id'])->first();

    $payload = json_encode($benchmark->tests);

    $response->getBody()->write($payload);
    return $response
      ->withHeader('Content-Type', 'application/json');
  }

}
