<?php

namespace BitGoblin\Colossus\Controllers;

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Slim\Routing\RouteContext;
use Slim\Views\Twig;
use BitGoblin\Colossus\Models\Benchmark;

class ReportController extends Controller {

  public function getGenerate(Request $request, Response $response): Response {
    $benchmarks = Benchmark::get();

    $view = Twig::fromRequest($request);
    return $view->render($response, 'reports/generate.twig', [
      'benchmarks' => $benchmarks,
    ]);
  }

}
