<?php

namespace BitGoblin\Colossus\Models;

use Illuminate\Database\Eloquent\Model;

class Benchmark extends Model {

  protected $fillable = [
    'name',
    'description',
    'scoring',
  ];

  public function tests() {
    return $this->belongsToMany(Test::class);
  }

  public function results() {
    return $this->hasMany(Result::class);
  }

}
